/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_mangle.h,v 1.1 1999/11/15 17:27:53 anoqNT Exp $";
#endif

#ifndef _SDL_mangle_h
#define _SDL_mangle_h

/* Redefine main() on Win32 so that it is called by winmain.c */

#if defined(WIN32) || (defined(__MWERKS__) && !defined(__BEOS__))

#ifdef __cplusplus
#define main	RunMain
#else
#if defined(__GNUC__)
#define main	RunMain__FiPPc	/* Name mangled for G++ */
#define RunMain	RunMain__FiPPc
#else
#define main	RunMain
#endif /* __GNUC__ */
#endif /* __cplusplus */

extern int RunMain(int argc, char *argv[]);

#endif /* MANGLE_MAIN */

#endif /* _SDL_mangle_h */
